# /opt/module/anaconda3/envs/pyspark/bin/pip install -r /opt/module/spark/demo/py_demo/requirements.txt
# /opt/module/anaconda3/envs/pyspark/bin/python3/8 -m site
# /opt/module/anaconda3/envs/pyspark/bin/pip list
# /opt/module/anaconda3/envs/pyspark/bin/pip show pyspark
# /opt/module/anaconda3/envs/pyspark/bin/pip install apache-dolphinscheduler==2.0.7
# /opt/module/anaconda3/bin/pip install nltk==3.8.1 -i https://mirror.baidu.com/pypi/simple

# all packages
pyspark==3.2.1
paramiko==3.1.0
hdfs==2.7.0
numpy==1.24.3
pandas==2.0.1
requests==2.30.0
python-dateutil==2.8.2
SQLAlchemy==1.4.15
psycopg2==2.9.3
psycopg2-binary==2.9.3
PyMySQL==1.0.2
elasticsearch==7.13.0
redis==4.5.4
nltk==3.8.1
# 2018-2023
workalendar==17.0.0
kazoo==2.9.0
# DolphinScheduler version 2.0.7=> PyDolphinScheduler version 2.0.7  => https://dolphinscheduler.apache.org/python/main/index.html
# apache-dolphinscheduler==2.0.7
inflect==7.0.0
textblob==0.17.1
kafka-python==2.0.2


# bcrypt==4.0.1
# certifi==2023.5.7
# cffi==1.15.1
# charset-normalizer==3.1.0
# cryptography==40.0.2
# docopt==0.6.2
# greenlet==2.0.2
# idna==3.4
# pip==23.0.1
# py4j==0.10.9.3
# pycparser==2.21
# PyNaCl==1.5.0
# pytz==2023.3
# setuptools==66.0.0
# six==1.16.0
# typing_extensions==4.5.0
# tzdata==2023.3
# urllib3==2.0.2
# wheel==0.38.4
